Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class ErrInfo

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TextNode
            |
            +--weblogic.uddi.client.structures.datatypes.ErrInfo

public class ErrInfo
extends TextNode

The errInfo structure stores the description of an error and its error code. It is returned as part of a result structure in the disposition report.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`ErrInfo()` Class constructor.
`ErrInfo(java.lang.String code, java.lang.String value)` Class constructor.

Method Summary
`java.lang.String` | `getErrCode()` Gets the value of the error code.
`void` | `setErrCode(java.lang.String value)` Sets the value of the error code.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrInfo

    public ErrInfo()

  Class constructor.

### ErrInfo

    public ErrInfo(java.lang.String code,
                   java.lang.String value)

  Class constructor.

Method Detail

### getErrCode

    public java.lang.String getErrCode()

  Gets the value of the error code.

  Returns:
    the current value of the error code.

### setErrCode

    public void setErrCode(java.lang.String value)

  Sets the value of the error code.

  Parameters:
    `the` - current value of the error code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference